> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate claim transaction for a CCTP bridge transfer

> Returns a ready-to-submit receiveMessage transaction for the destination chain if the attestation is complete and the transfer has not been claimed yet. Rate limited to 1 request per 10 seconds.



## OpenAPI

````yaml /public/openapi.json get /api/v1/cctp/bridge/claim
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/cctp/bridge/claim:
    get:
      tags:
        - Integration
        - Crosschain
      summary: Generate claim transaction for a CCTP bridge transfer
      description: >-
        Returns a ready-to-submit receiveMessage transaction for the destination
        chain if the attestation is complete and the transfer has not been
        claimed yet. Rate limited to 1 request per 10 seconds.
      operationId: CctpController_getClaimTx
      parameters:
        - name: chainId
          required: true
          in: query
          description: Chain ID of the source transaction
          schema:
            example: 143
            type: number
        - name: txHash
          required: true
          in: query
          description: Transaction hash of the CCTP bridge transaction on source chain
          schema:
            example: '0x4ac72089eef92b827702281bb2668b416ee6d3e9d953600dc363842e473a157c'
            type: string
      responses:
        '200':
          description: Claim transaction or reason why not claimable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CctpClaimResponse'
        '429':
          description: Rate limit exceeded (max 1 request per 10 seconds)
components:
  schemas:
    CctpClaimResponse:
      type: object
      properties:
        claimable:
          type: boolean
          description: Whether the claim transaction is available
          example: true
        destinationChainId:
          type: number
          description: Destination chain ID where receiveMessage should be called
          example: 1
        tx:
          description: >-
            Ready-to-submit transaction to call
            MessageTransmitterV2.receiveMessage on the destination chain
          allOf:
            - $ref: '#/components/schemas/CctpClaimTransaction'
        reason:
          type: string
          description: Reason if not claimable
          example: Already claimed
      required:
        - claimable
    CctpClaimTransaction:
      type: object
      properties:
        to:
          type: string
        data:
          type: string
        value:
          type: string
        chainId:
          type: number
      required:
        - to
        - data
        - value
        - chainId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.